Package: org.codehaus.groovy.util

## [Java] Class AbstractConcurrentMap<K, V>

- org.codehaus.groovy.util.AbstractConcurrentMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `AbstractConcurrentMap.Entry` |
    `static class` | `AbstractConcurrentMap.Segment` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractConcurrentMap (Object segmentInfo)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `V` | `get(K key)`
    `` | `Entry<K, V>` | `getOrPut(K key, V value)`
    `` | `void` | `put(K key, V value)`
    `` | `void` | `remove(K key)`
    `` | `Segment` | `segmentFor(int hash)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AbstractConcurrentMap(Object segmentInfo)

  - ### Method Detail

    - #### public V get(K key)

    - #### public Entry<K, V> getOrPut(K key, V value)

    - #### public void put(K key, V value)

    - #### public void remove(K key)

    - #### public Segment segmentFor(int hash)